org.keycloak.services

## Class ErrorResponse

- java.lang.Object
- - org.keycloak.services.ErrorResponse

-     public class ErrorResponse
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorResponse()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.ws.rs.core.Response` | `error(String message, Object[] params, javax.ws.rs.core.Response.Status status)`
    `static javax.ws.rs.core.Response` | `error(String message, javax.ws.rs.core.Response.Status status)`
    `static javax.ws.rs.core.Response` | `errors(List<ErrorRepresentation> s, javax.ws.rs.core.Response.Status status)`
    `static javax.ws.rs.core.Response` | `errors(List<ErrorRepresentation> s, javax.ws.rs.core.Response.Status status, boolean shrinkSingleError)`
    `static javax.ws.rs.core.Response` | `exists(String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorResponse

          public ErrorResponse()

  - ### Method Detail

    - #### exists

          public static javax.ws.rs.core.Response exists(String message)

    - #### error

          public static javax.ws.rs.core.Response error(String message,
                                                        javax.ws.rs.core.Response.Status status)

    - #### error

          public static javax.ws.rs.core.Response error(String message,
                                                        Object[] params,
                                                        javax.ws.rs.core.Response.Status status)

    - #### errors

          public static javax.ws.rs.core.Response errors(List<ErrorRepresentation> s,
                                                         javax.ws.rs.core.Response.Status status)

    - #### errors

          public static javax.ws.rs.core.Response errors(List<ErrorRepresentation> s,
                                                         javax.ws.rs.core.Response.Status status,
                                                         boolean shrinkSingleError)

Copyright © 2021 JBoss by Red Hat. All rights reserved.